# node.cpp File Reference

`#include "node.h"`
`#include "file.h"`
`#include "readwrite.h"`
`#include "chunk.h"`
`#include "matrix.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include "config.h"`

Include dependency graph for node.cpp:

## Defines

#define | LIB3DS_EXPORT

## Functions

Lib3dsNode * | lib3ds_node_new_ambient ()
Lib3dsNode * | lib3ds_node_new_object ()
Lib3dsNode * | lib3ds_node_new_camera ()
Lib3dsNode * | lib3ds_node_new_target ()
Lib3dsNode * | lib3ds_node_new_light ()
Lib3dsNode * | lib3ds_node_new_spot ()
void | lib3ds_node_free (Lib3dsNode *node)
void | lib3ds_node_eval (Lib3dsNode *node, Lib3dsFloat t)
Lib3dsNode * | lib3ds_node_by_name (Lib3dsNode *node, const char *name, Lib3dsNodeTypes type)
Lib3dsNode * | lib3ds_node_by_id (Lib3dsNode *node, Lib3dsWord node_id)
void | lib3ds_node_dump (Lib3dsNode *node, Lib3dsIntd level)
Lib3dsBool | lib3ds_node_read (Lib3dsNode *node, Lib3dsFile *, FILE *f)
Lib3dsBool | lib3ds_node_write (Lib3dsNode *node, Lib3dsFile *file, FILE *f)

## Define Documentation

#define LIB3DS_EXPORT